html, body {
	height: 100%;
	min-height: 100%;
	color: #221F20;
	font-family: var(--ff);
}

* {
	box-sizing: border-box;
}

a {
	text-decoration: none;
	color: #221f20;
	transition: 0.4s;
}

a:hover {
	opacity: 0.5;
}

body {
	margin: 0;
	height: auto;
	display: grid;
}

main {
	padding: 3rem 2.1rem 2rem;

	position: relative;
	overflow: hidden;
	height: 100%;
	display: grid;
	gap: 6rem;
}

main::before, main::after {
	--size: 110vmax;

	content: '';
	height: var(--size);
	width: var(--size);
	background: radial-gradient(#3055a3 10%, rgba(255, 255, 255, 0) 70%);
	position: absolute;
}

main::before {
	bottom: calc( var(--size) / -2 );
	left: calc( var(--size) / -2 );
}

main::after {
	top: calc( var(--size) / -2 );
	right: calc( var(--size) / -2 );
}

header, footer {
	position: relative;
	z-index: 1;
}

img {
	width: 100%;
	display: block;
	max-width: 28.2rem;
	height: auto;
	position: relative;
	left: .4rem;
}

h1 {
	padding-top: 2.5rem;
	margin: 0;
	font-size: 4.22rem;
	font-weight: 300;
	line-height: 0.95;
}

#top__row {
	display: flex;
	gap: 3.4rem;
	padding-top: 1.9rem;
}

#top__p {
	font-size: 1.415rem;
	font-weight: 300;
	max-width: 24.7rem;
	line-height: 1.06;
	margin: 0;
}

#top__join {
	margin-bottom: 1.5rem;
}

.top__col:last-child {
	padding-left: 11.1rem;
}

form {
	display: flex;
	flex-wrap: wrap;
	max-width: 31.3rem;
	gap: 1.1rem;
}

input {
	-webkit-appearance: none;
	appearance: none;
	border: none;
	font-size: 1.4rem;
	font-weight: 300;
	font-family: var(--ff);
	padding: 0.6rem 1rem;
	line-height: 1;
	border: 1px solid #DDD;
	width: 100%;
	border-radius: 0;
}

input::placeholder {
	color: #999;
}

input[type="checkbox"] {
	appearance: auto;
	width: auto;
	margin: 0;
	padding: 0;
}

#input {
	display: flex;
	align-items: center;
	gap: .6rem;
	width: 100%;
}

#input label {
	line-height: 1;
	display: inline-block;
}

#input a {
	text-decoration: underline;
}

button {
	appearance: none;
	border: 3px solid #000;
	background: none;
	color: #000;
	font-size: 1.4rem;
	font-family: var(--ff);
	padding: 0.6rem 0.9rem;
	line-height: 1;
	margin: 0;

	transition: 0.4s;
	cursor: pointer;
	border-radius: 0;
	font-weight: 300;
}

/* Solo firefox */
@supports (-moz-appearance:none) {
	button {
		padding-top: .8rem;
	} 
}

button:hover {
	color: #FFF;
	background-color: #000;
	border-color: #000;
}

h3 {
	margin: 0;
	font-weight: 300;
	font-size: 2.07rem;
	line-height: .98;
}

footer {
	display: flex;
	justify-content: space-between;
	gap: 2rem;
	align-self: flex-end;
	align-items: flex-end;
}

#foot__sx {
	font-size: 1.65rem;
	font-weight: 300;
	line-height: 1.2;
	margin: 0;
}

#foot__sx span {
	display: inline-block;
	margin-bottom: .95em;
}

#foot__sx a {
	font-size: 1.41em;
}

h2 {
	margin: 0;
	font-weight: 300;
	font-size: 3.1rem;
	max-width: 34rem;
	line-height: .99;
	padding-bottom: 0.8rem;
}

@media ( max-width: 1600px ) {
	.top__col:last-child {
		padding-left: 6rem;
	}

	form {
		max-width: 23rem;
	}
}

@media ( max-width: 1400px ) {
	#top__row {
		gap: 2.4rem;
	}

	.top__col:last-child {
		padding-left: 3rem;
	}
}

@media ( max-width: 1220px ) {
	#top__row {
		flex-wrap: wrap;
	}

	.top__col:last-child {
		padding-left: 0;
		width: 100%;
	}
}

@media ( max-width: 1024px ) {
	img {
		max-width: 23rem;
		left: .2rem;
	}

	h1 {
		padding-top: 1.6rem;
		font-size: 3.2rem;
	}

	#top__row {
		gap: 2rem;
	}

	#top__p {
		font-size: 1.2rem;
	}

	h3 {
		font-size: 1.8rem;
	}

	#foot__sx {
		font-size: 1.4rem;
	}

	h2 {
		font-size: 2.2rem;
		max-width: 24rem;
	}
}

@media ( max-width: 768px ) {
	main {
		padding: 2.4rem 2rem 2rem;
	}

	img {
		max-width: 15rem;
	}

	h1 {
		padding-top: 1.2rem;
		font-size: 2.3rem;
	}

	#top__row {
		gap: 1.6rem;
		padding-top: 1.4rem;
	}

	.top__col {
		width: 100%;
	}

	#top__join {
		margin-bottom: 1rem;
	}

	input {
		font-size: 1.2rem;
	}

	button {
		font-size: 1.2rem;
	}

	footer {
		flex-wrap: wrap;
	}

	#foot__sx {
		font-size: 1.2rem;
	}

	h2 {
		font-size: 1.9rem;
		max-width: 20rem;
	}
}

@media ( max-width: 425px ) {
	main {
		padding: 2.4rem 1.8rem 2rem;
	}
}